Skip to content

Stored only in your browser. Get one under Tokens.

Create a new trails​

POST
/trails

Create a new trails. usually done by device on first log in.
initiates the trail by using the reported state as stepwanted 0 and setting
the step 0 to be the POSTED JSON. Either device accounts or user accounts can
do this for devices owned, but there can always only be ONE trail per device.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
  
"additionalProperties": "string"
}

Responses​

OK

application/json
JSON
{
  
"device": "string",
  
"factory-state": {
  
  
"additionalProperties": "string"
  
},
  
"id": "string",
  
"last-insync": "string",
  
"last-touched": "string",
  
"owner": "string",
  
"used_objects": [
  
  
"string"
  
]
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI